FreetdsSqlUtil::FreetdsSequence Class Reference

class for FreeTDS sequences More...

Inherits SqlUtil::AbstractSequence.

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the sequence in the database More...

## Detailed Description

class for FreeTDS sequences

## Member Function Documentation

## getRenameSql()

softlist FreetdsSqlUtil::FreetdsSequence::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename the sequence in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored